/*
 *
 *  * Copyright 2019-2020 the original author or authors.
 *  *
 *  * Licensed under the Apache License, Version 2.0 (the "License");
 *  * you may not use this file except in compliance with the License.
 *  * You may obtain a copy of the License at
 *  *
 *  *      https://www.apache.org/licenses/LICENSE-2.0
 *  *
 *  * Unless required by applicable law or agreed to in writing, software
 *  * distributed under the License is distributed on an "AS IS" BASIS,
 *  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  * See the License for the specific language governing permissions and
 *  * limitations under the License.
 *
 */

package test.org.springdoc.api.app143;

import test.org.springdoc.api.AbstractSpringDocTest;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.test.context.TestPropertySource;

/**
 * Test issue 907 fix.
 * Hidden controller showing up in swagger UI when springdoc.show-actuator is enabled
 */
@TestPropertySource(properties = {"management.endpoints.enabled-by-default=true",
		"springdoc.show-actuator=true", "management.endpoints.web.exposure.exclude=functions"
})
public class SpringDocApp143Test extends AbstractSpringDocTest {

	@SpringBootApplication
	static class SpringDocTestApp {}

}
